Subject: RE: [dhcwg] Working Group Last Call: Location Configuration Info rmation for GEOPRIV

From: John Schnizlein <[email-masked]>
Date: Wed, 02 Jul 2003 14:51:11 -0400

At 01:42 PM 7/2/2003, Abbott, Nadine B. wrote:

>FYI and Question:
>
>For wireless 9-1-1 calls, the geodetic location is provided from the
>wireless carriers in a binary coded form over SS7 ...

For the same reasons that 2's complement binary is preferred
over binary-coded decimal in computing systems, I prefer it
for the DHCP option. It is worth remembering that the location
option is likely just one of many that have to fit in the
UDP-based DHC protocol. The efficiency of binary numbers fits
the principle of frugality with lightweight protocols.

Having the carrier provide location over its signaling system
is a little different from the model of connected computers.
In the wired-computer mechanism we envision, the edge network 
tells the computer where the wire it plugged into is so that 
it can decide who/what/when/where/how to share this information.

>For a 9-1-1 call, if IP devices are populated with coordinate information in
>a different format from that expected by PSAP mapping applications, then
>somewhere between caller and PSAP, the geodetic location information
>provided by the DHCP location object procedures will need to be put into a
>format that can be processed by PSAP applications.  If you assume that the
>location object information is routed via the E9-1-1 DBs, perhaps the
>conversion could be performed there.  

The host can use its location information for anything at all, including
emergency calls. We did not design the format to fit the model of SS7.

>If you envision that geodetic location is carried with 
>the call establishment signaling, where do you assume that
>the conversion between the DHCP-LO format and the formats 
>expected by PSAP applications will take place?  

Marc is taking a little time off before IETF, and will probably 
have more details, but we had not intended to constrain where 
format conversions would take place. I think James has some ideas 
about including location in SIP emergency call routing, but that 
also need  not follow an SS7 route. And Henning seems still 
interested in pursuing the civil location information also, 
which could be useful to the PSAP. Too soon to choose IMHO
among lots of alternatives.

John

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg